libzypp: zypp::media::DownloadProgressReport Struct Reference

libzypp 17.38.7

zypp::media::DownloadProgressReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::media::DownloadProgressReport:

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , NOT_FOUND , IO , ACCESS_DENIED , ERROR }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const Url &, Pathname)
virtual bool | progress (int, const Url &, double dbps_avg=-1, double dbps_current=-1)
| Download progress.
virtual Action | problem (const Url &, Error, const std::string &)
virtual void | finish (const Url &, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Definition at line 362 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::media::DownloadProgressReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 364 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::media::DownloadProgressReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
ACCESS_DENIED |
ERROR |

Definition at line 370 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::media::DownloadProgressReport::start | ( | const Url & | ,
|  | Pathname | )
| inlinevirtual

Reimplemented in internal::OptionalDownloadProgressReport.

Definition at line 378 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::media::DownloadProgressReport::progress | ( | int | ,
|  | const Url & | ,
|  | double | dbps_avg = -1,
|  | double | dbps_current = -1 )
| inlinevirtual

Download progress.

Parameters

  value | Percentage value.
  file | File URI.
  dbps_avg | Average download rate so far. -1 if unknown.
  dbps_current | Current download (cca last 1 sec). -1 if unknown.

Reimplemented in internal::OptionalDownloadProgressReport.

Definition at line 388 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::media::DownloadProgressReport::problem | ( | const Url & | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Reimplemented in internal::OptionalDownloadProgressReport.

Definition at line 393 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::media::DownloadProgressReport::finish | ( | const Url & | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Reimplemented in internal::OptionalDownloadProgressReport.

Definition at line 399 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h